//+------------------------------------------------------------------+
//|                                                      samopen.mq4 |
//|                                                            Peter |
//|                                               pitpiter@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Peter"
#property link      "pitpiter@gmail.com"

//---- input parameters
extern double    ol=1.0;
extern double    tp=30.0;
extern double    sl=30.0;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
    double op , olo , osl , otp;
    int mb;
    switch(iCustom(Symbol(),0,"open2")
    {
     case 0 : break;
     case 1 :
      
       if(OrdersTotal()!=0)
        {
         if(OrderType()==OP_SELL)
          {
           mb=OrderMagicNumber();
           olo=ol;
           if(OrderClose(mb,olo,Bid,2))
            {
             op=Ask;
             osl=op-Point*sl;
             otp=op+Point*tp:
             OrderSend(Symbol,OP_BUY,olo,op,2,osl,otp);
             break;
            }
           else
            {
              Print("Error with close order");
              continue;
            }
          }
          break; 
        }
        else
         {
          olo=ol;
          op=Ask;
          osl=op-Point*sl;
          otp=op+Point*tp;
          OrderSend(Symbol(),OP_BUY,olo,op,2,osl,otp);
          break;
         }
      
     case 2:
      
       if(OrdersTotal()!=0)
        {
         if(OrderType()==OP_BUY)
          {
           mb=OrderMagicNumber();
           olo=ol;
           if(OrderClose(mb,olo,Ask,2))
            {
             op=Bid;
             osl=op+Point*sl;
             otp=op-Point*tp;
             OrderSend(Symbol(),OP_SELL,olo,op,2,osl,otp);
             break ;
            }
           else
            {
             Print("Error with close order");
             continue;
            } 
          }
           break ;
        }
        else
         {
          olo=ol;
          op=Bid;
          osl=op+Point*sl;
          otp=op-Point*tp;
          OrderSend(Symbol(),OP_SELL,olo,op,2,osl,otp);
          break;
         } 
      
    }   
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+